! UBOUND(M,n)  The upper bound of the n-th subscript of array M.
! If M is one-dimentional, UBOUND(M,1) can be written as UBOUND(M).
DECLARE EXTERNAL SUB test1
DIM A(4,5)
DIM B(10,3)
CALL test1(A)
CALL test1(B)
END
EXTERNAL SUB test1(M(,))
PRINT UBOUND(M,1),UBOUND(M,2)
END SUB 

